function Create(self)
	self.timer = Timer()
	self.madeSmoke = false;
end

local function smokeMe(self,Smoke)
	local smokePart = CreateMOSParticle(Smoke, "Base.rte")
	smokePart.Pos = self.Pos
	smokePart.Vel = self.Vel + Vector(math.random(-2.00,-1.00),math.random(-1.00,1.00))
	smokePart.IgnoresTeamHits = true
	smokePart.Team = self.Team
	MovableMan:AddMO(smokePart)
end

--Terrain preservation script; basically looks for Obstacles and slows our projectile down rapidly.
function Update(self)
	local terrCheck  = SceneMan:CastNotMaterialRay(self.Pos, self.Vel*TimerMan.DeltaTimeSecs*FrameMan.PPM, rte.airID, 0, false)
	if  terrCheck >= 0 then
			self.Vel = self.Vel / 4.0;
	end

	if self.timer:IsPastSimMS(800) and self.madeSmoke == false then
		--Only make smoke some of the time
		local randSmoke = math.random(1,12)
		if randSmoke == 1 then
			smokeMe(self,"Smoke Small 1")
		end
		if randSmoke == 2 then
			smokeMe(self,"Smoke Small 2")
		end
		if randSmoke == 3 then
			smokeMe(self,"Smoke Small 3")
		end
		self.madeSmoke = true
	end
end	