function CoalitionMissileLauncherRocket(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Coalition Rocket Launcher";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun.particleSpread = 5;
			gun.particleSpreadSharp = 5;
			gun:Reload();
		end
	end
end

function CoalitionMissileLauncherMissile(actor)
	local gun = ToAHuman(actor).EquippedItem;
	if gun ~= nil then
		local gun = ToHDFirearm(gun);
		local magSwitchName = "Magazine Coalition Missile Launcher";
		if gun.Magazine == nil or (gun.Magazine ~= nil and gun.Magazine.PresetName ~= magSwitchName) then
			gun:SetNextMagazineName(magSwitchName);
			gun.particleSpread = 0;
			gun.particleSpreadSharp = 0;
			gun:Reload();
		end
	end
end