function Create(self)
	self.timer = Timer()
	self.myShot = 0

	for i = 1, math.random(15,30) do
		local Effect = CreateMOPixel("Imperatus SR Stake Particle", "Imperatus.rte")
		Effect.Pos = self.Pos + Vector(math.random(-3.0,3.0),math.random(-3.0,3.0))
		Effect.Vel = self.Vel / math.random(20,100) + Vector(math.random(-3.0,3.0),math.random(-3.0,3.0))
		MovableMan:AddMO(Effect)
	end

end

--Terrain preservation script; basically looks for Obstacles and slows our projectile down rapidly.
function Update(self)
	local terrCheck  = SceneMan:CastNotMaterialRay(self.Pos, self.Vel*TimerMan.DeltaTimeSecs*FrameMan.PPM, rte.airID, 0, false)
	if  terrCheck >= 0 and self.myShot == 0 then
			self.Vel = self.Vel * 0.95;
	end

	if math.abs(self.Vel.X) + math.abs(self.Vel.Y) < 1.0 then
		self:GibThis()
	end

local ID = SceneMan:CastMORay(self.Pos, self.Vel*TimerMan.DeltaTimeSecs*FrameMan.PPM * 2.0, self.ID, self.IgnoresWhichTeam, rte.airID, false, 0)
	if ID < 255 and self.myShot == 0 then
		local Penetrator = CreateMOPixel("Imperatus SR Penetrator", "Imperatus.rte")
		Penetrator.Pos = self.Pos
		Penetrator.Vel = self.Vel * 1.5
		MovableMan:AddMO(Penetrator)
		self.myShot = 1
		self:GibThis()
	end
end	