dofile("Base.rte/Actors/AI/TurretAI.lua")

function Update(self)
--Just here to see notifications of this running.
--print("running the turret script!")

--Create the necessary variables.
if self.timer == nil then
	self.timer = Timer();
end

--Start our loop, every 10-20ms.
local randomTimer = math.random(10,20);
if self.timer:IsPastSimMS(randomTimer) then
	--Brute-force adjustments of RotAngles, to prevent funky behaviors.
	if self.RotAngle > 0.1 then
		self.RotAngle = 0.1
	end	
	if self.RotAngle < - 0.1 then
		self.RotAngle = - 0.1
	end

	--Brute-force removal of "falling through the earth"; troops hit "bedrock".
	if self.Pos.Y > SceneMan.SceneHeight - 40 then 
		self.Pos.Y = SceneMan.SceneHeight - 42
		self.Vel.Y = -1.0
	end	

	--Reset our 10ms timer
	self.timer:Reset();
--End our loop
end
--End the Update() cycle
end