local function CreateLaserParticle(x,y)
	local i = CreateMOPixel("Ronin LaserDots");
	i.Vel.X = math.random(-0.5,0.5);
	i.Vel.Y = math.random(-0.5,0.5);
	i.Pos = Vector(x,y);
	MovableMan:AddParticle(i);
end

function Create(self)
	self.Offset2 = 1;
	self.Range = 500;
	self.timer = Timer();
end

function Update(self)
	if math.abs(self.Vel.Magnitude) < 0.3 and math.abs(self.AngularVel) > 0.001 then
		self.GetsHitByMOs = true
		self.HitsMOs = true
	else
		self.GetsHitByMOs = false
		self.HitsMOs = false
	end

	--[[
	local actor = MovableMan:GetMOFromID(self.ID);
	local aimingPlayer = false
	if MovableMan:IsActor(actor) and ToActor(actor):IsPlayerControlled() == true then
		aimingPlayer = true
	end]]

	local randomTimer = math.random(20,60);
	if self.timer:IsPastSimMS(randomTimer) then
		local m = SceneMan:ShortestDistance(self.Pos, self.MuzzlePos, true);
		local an = math.atan2(m.Y,m.X)+math.random(-1000,1000)*0.001*0.005;
		local mo = Vector(m.Magnitude*math.cos(an),m.Magnitude*math.sin(an));
		local anan = math.atan2(mo.Y,mo.X);
	
			local p = Vector();
			local ray = SceneMan:CastObstacleRay(Vector(self.MuzzlePos.X+mo.X,self.MuzzlePos.Y+mo.Y), Vector(self.Range*mo.Normalized.X,self.Range*mo.Normalized.Y), Vector(), p, self.ID, 0, 0, 0);

			if ray < 0 or ray > self.Range then
				ray = self.Range;
			end
			ray = ray * 1.03;
			
			local rand = 0;
			local dist = self.Offset2/2;
			while dist <= ray-self.Offset2/2 do
				rand = math.random(1,90);
				if rand == 1 then
					CreateLaserParticle(self.MuzzlePos.X+mo.Normalized.X*dist,self.MuzzlePos.Y+mo.Normalized.Y*dist);
					dist = dist+self.Offset2;
				else
					dist = dist+self.Offset2;
				end
			end
		--Reset our timer
		self.timer:Reset();	
	end
end